Page MenuHomePhabricator

Upload Wizard ignores the description= field when using the upload campaign
Closed, ResolvedPublic

Description

Wiki Loves Monuments photos are uploaded via the upload wizard, where the upload campaign (campaign=) and object description (description=) are specified. In the last few days, the wizard correctly interprets the campaign information but fails to add the description. The description will only appear when the "campaign=wlm-XX" part is removed from the upload link.

If you need an example, go to
https://ru.wikivoyage.org/wiki/Культурное_наследие_России/Архангельская_область/Каргополь
and use any of the upload links ("Загрузить файл") there. Then remove the "campaign=wlm-ru" part of the upload link and try again, the description (monument name and address) will appear.

It is highly desirable to fix this problem soon, because people use such upload links all over the year, not only during the WLM period. Thank you!

Event Timeline

Atsirlin created this task.Jan 7 2018, 6:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 7 2018, 6:22 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptJan 8 2018, 11:03 PM
kaldari triaged this task as High priority.Jan 9 2018, 5:48 PM
kaldari added a subscriber: kaldari.

Marking high priority since this seems like a serious bug.

Ramsey-WMF assigned this task to Cparle.Jan 9 2018, 6:03 PM
Ramsey-WMF added subscribers: Cparle, Ramsey-WMF.

Assigning this to @Cparle for evaluation/triage.

Herzi.Pinki added a subscriber: Herzi.Pinki.EditedJan 14 2018, 10:52 PM

same is true not only for the description. I put it here to avoid duplicate issues (presumingly the same reason):

when campaign is present:

  • the capture date is not extracted automatically but has to be set manually
  • the file name field is empty (without campaign it shows the name selected for upload)
  • the UW does not extract data from EXIF any more (descr, coordinates)
  • when uploading more than a single file, only one of those files is shown in the Description step
  • thumbs are not displayed in the description step

(I checked this differences against the case when not using a campaign)

Cirdan added a subscriber: Cirdan.Jan 15 2018, 5:31 PM

Change 404658 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/UploadWizard@master] Fix javascript error on UploadWizard page

https://gerrit.wikimedia.org/r/404658

Change 404658 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Fix javascript error on UploadWizard page

https://gerrit.wikimedia.org/r/404658

Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Jan 17 2018, 5:44 PM

I think the issue reported here has the same root cause: https://commons.wikimedia.org/wiki/Commons:Upload_Wizard_feedback#Copying_information

There are no regular deployments next week due to WMF All Hands / Dev Summit, so I'm going to schedule this for a SWAT deployment.

Change 405661 had a related patch set uploaded (by Bartosz Dziewoński; owner: Cparle):
[mediawiki/extensions/UploadWizard@wmf/1.31.0-wmf.17] Fix javascript error on UploadWizard page

https://gerrit.wikimedia.org/r/405661

Change 405661 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@wmf/1.31.0-wmf.17] Fix javascript error on UploadWizard page

https://gerrit.wikimedia.org/r/405661

Mentioned in SAL (#wikimedia-operations) [2018-01-22T19:34:42Z] <catrope@tin> Synchronized php-1.31.0-wmf.17/extensions/UploadWizard/resources/details/uw.DescriptionDetailsWidget.js: T184380 (duration: 00m 56s)

matmarex closed this task as Resolved.Jan 22 2018, 7:46 PM
Braveheart reopened this task as Open.Jan 27 2018, 7:34 PM
Braveheart added a subscriber: Braveheart.

Hi! I'm afraid the problem still persists when uploading via a campaign - try uploading more than one picture via https://commons.wikimedia.org/wiki/special:uploadWizard?campaign=wlm-at&id=70859&descriptionlang=de&description=B%C3%BCrgerhaus&categories=B%C3%BCrgerhaus+Neudorferstra%C3%9Fe+6%2C+Laxenburg for example - when you get to the description part, the wizard shows only one picture that lacks a creation date, filename and description. Tested with IE, Chrome and Firefox.

I get the following error in the JS console (using Chrome):

jQuery.Deferred exception: items[i].initialiseUls is not a function TypeError: items[i].initialiseUls is not a function
    at UWDescriptionsDetailsWidget.uw.DescriptionsDetailsWidget.addDescriptions (https://commons.wikimedia.org/w/load.php?debug=false&lang=en&modules=ext.uploadWizard&skin=vector&version=0wplxg3:32:328)
    at UWDescriptionsDetailsWidget.uw.DescriptionsDetailsWidget.setSerialized (https://commons.wikimedia.org/w/load.php?debug=false&lang=en&modules=ext.uploadWizard&skin=vector&version=0wplxg3:33:658)
    at mw.UploadWizardDetails.buildInterface (https://commons.wikimedia.org/w/load.php?debug=false&lang=en&modules=ext.uploadWizard&skin=vector&version=0wplxg3:101:322)
    at mw.UploadWizardDetails.attach (https://commons.wikimedia.org/w/load.php?debug=false&lang=en&modules=ext.uploadWizard&skin=vector&version=0wplxg3:102:106)
    at MWUploadWizardUpload.<anonymous> (<anonymous>:346:765)
    at Function.each (https://commons.wikimedia.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%7Cmediawiki.legacy.wikibits&only=scripts&skin=vector&version=14kbqyi:4:939)
    at UWControllerDetails.uw.controller.Details.load (<anonymous>:346:477)
    at UWControllerDeed.uw.controller.Step.moveNext (<anonymous>:302:734)
    at Array.<anonymous> (<anonymous>:329:3203)
    at mightThrow (https://commons.wikimedia.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%7Cmediawiki.legacy.wikibits&only=scripts&skin=vector&version=14kbqyi:49:598)
    at process (https://commons.wikimedia.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%7Cmediawiki.legacy.wikibits&only=scripts&skin=vector&version=14kbqyi:50:269) undefined

Seems like a caching issue, as that code (items[ i ].initialiseUls();) should no longer be in uw.DescriptionsDetailsWidget.js.

@kaldari any idea how that might happen?

matthiasmullie added a subscriber: matthiasmullie.EditedJan 30 2018, 3:20 PM

Due to last week's dev summit & this week's releng offsite, MW deployment train hasn't run & this fix has not yet gotten deployed.

Ignore above; I read over past history in this ticket & @matmarex had scheduled it for deploy. Figuring out why it's not there anymore...

I don't think it's just a caching issue, it appears the patch I've gotten deployed has been thoroughly undeployed.

It appears that the change got in, but the wrong file ended up being synced (uw.DescriptionDetailsWidget.js (singular) instead of uw.DescriptionsDetailsWidget.js)

Mentioned in SAL (#wikimedia-operations) [2018-02-06T14:14:35Z] <mlitn@tin> Synchronized php-1.31.0-wmf.17/extensions/UploadWizard/resources/details/uw.DescriptionsDetailsWidget.js: T184380 (duration: 00m 55s)

Seems to work now, first tests are promising! Will start uploading a few pictures to get a better overview.

@Atsirlin could you have a look and see if your problem is now solved? @Braveheart any further update?

@Cparle: yes, our problem has been resolved. Thank you!

@Cparle Yes, works again for campaigns, thanks! :-)

Cparle closed this task as Resolved.Feb 13 2018, 10:23 AM

Great! Marking the ticket as resolved

Herzi.Pinki reopened this task as Open.Apr 23 2018, 8:01 PM

This seems to be broken again.

Uploading more than one image with e.g. https://commons.wikimedia.org/wiki/special:uploadWizard?campaign=wlm-at&id=38344&descriptionlang=de&description=Kapelle+hl.+Johannes+der+T%C3%A4ufer&categories=Johanneskapelle%2C+Traunkirchen results in only the first one being shown in the description dialogue and fields are missing (description, date, source file name, etc.).

matmarex closed this task as Resolved.Apr 24 2018, 7:04 PM

I think the current issue is a different problem, and it looks like there's already a separate task for it: T192596, so let's continue there.

238482n375 lowered the priority of this task from High to Lowest.Jun 15 2018, 8:02 AM
238482n375 removed Cparle as the assignee of this task.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: 238482n375; removed: Aklapper.

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

238482n375 set Security to Software security bug.Jun 15 2018, 8:05 AM
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDIwMTgtMDYtMTQtMTEpCk9wZW4sIE5lZWRzIFRyaWFnZVB1YmxpYwoKICAgIEVkaXQgVGFzawogICAgRWRpdCBSZWxhdGVkIFRhc2tzLi4uCiAgICBFZGl0IFJlbGF0ZWQgT2JqZWN0cy4uLgogICAgUHJvdGVjdCBhcyBzZWN1cml0eSBpc3N1ZQoKICAgIE11dGUgTm90aWZpY2F0aW9ucwogICAgQXdhcmQgVG9rZW4KICAgIEZsYWcgRm9yIExhdGVyCgpFVzZSC3IERpc2NsYWltZXIgtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

Aklapper assigned this task to Cparle.Jun 15 2018, 1:49 PM
Restricted Application added a project: Security. · View Herald TranscriptJun 15 2018, 1:49 PM
Aklapper changed the visibility from "Custom Policy" to "Public (No Login Required)".